| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::RTCPFeedbackMessageMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< uint, RTCPFeedbackMessageProperties >.

List of all members.

## Public Member Functions

- RTCPFeedbackMessageMap ()
- RTCPFeedbackMessageMap (const QMap< uint, RTCPFeedbackMessageProperties > &a)
- RTCPFeedbackMessageMap & operator= (const QMap< uint, RTCPFeedbackMessageProperties > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, RTCPFeedbackMessageProperties>, but needed to have a discrete type in the Qt type system.

A map of codec and its feedback properties.

## Constructor & Destructor Documentation

Tp::RTCPFeedbackMessageMap::RTCPFeedbackMessageMap | ( |  | ) | `[inline]`

Tp::RTCPFeedbackMessageMap::RTCPFeedbackMessageMap | ( | const QMap< uint, RTCPFeedbackMessageProperties > & | a | ) | `[inline]`

## Member Function Documentation

RTCPFeedbackMessageMap& Tp::RTCPFeedbackMessageMap::operator= | ( | const QMap< uint, RTCPFeedbackMessageProperties > & | a | ) | `[inline]`